???File Path
==========
***...\ClientApp\srcpp\modelsase\corporate.model.ts


// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
// @@@@@@@@@@@@@  CorporateBookingRule  @@@@@@@@@@@@@
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
export class MdlCorporateBookingRule extends MdlUserAction {

	binCorporateBookingRuleId: number = 0;
	strRuleName: string = "";
	
	binCustomerId: number | null = null;
	strCustomerCode: string = "";
	strCustomerName: string = "";
	sinAllowedAllCustomers: number = 1;
	
	strRemarks: string = "";
	sinRecordStatus: number = 1;
	
	dblAirSlabFrom: number = 0.0;
	dblAirSlabTo: number = 0.0;
	sinOnewayTrip: number = 1;
	sinRoundTrip: number = 1;
	sinMultiTrip: number = 1;
	sinIfExcludeCabinClass: number = 0;
	arlFkCabinClass: number[] = [];
	artBookingClassChrs: string[] = [];
	sinIfExcludeBookingClassChrs: number = 0;
	sinIfExcludeSourceAirport: number = 0;
	arlFkSourceAirportIds: number[] = [];
	sinIfExcludeDestinationAirport: number = 0;
	arlFkDestinationAirportIds: number[] = [];
	sinCodeSharingType: number = 0;
	arlFkCodeSharingAirlineMasterIds: number[] = [];
	arlFkCodeSharingAirlineCategoryIds: number[] = [];
	arlFkCodeSharingAirlineGroupIds: number[] = [];
	arlFkCodeSharingAirlineTypeIds: number[] = [];
	arlFkCodeSharingAirlineFamilyIds: number[] = [];
	sinNoOfStops: number = 0;
	arlFkTicketTypeIds: number[] = [];
	
	sinIfExcludeAirline: number = 0;
	arlFkAirlineMasterIds: number[] = [];
	arlFkAirlineCategoryIds: number[] = [];
	arlFkAirlineGroupIds: number[] = [];
	arlFkAirlineTypeIds: number[] = [];
	arlFkAirlineFamilyIds: number[] = [];
	
	dblHotelSlabFrom: number = 0.0;
	dblHotelSlabTo: number = 0.0;
	sinStarRate: number = 0;
	sinIfExcludeHotel: number = 0;
	arlFkHotelMasterIds: number[] = [];
	arlFkHotelCategoryIds: number[] = [];
	arlFkHotelGroupIds: number[] = [];
	arlFkHotelTypeIds: number[] = [];
	arlFkHotelFamilyIds: number[] = [];
	arlFkRoomTypeIds: number[] = [];
	arlFkMealsPlanIds: number[] = [];
	
}

export class MdlReqCorporateBookingRule extends MdlRequest {

	mdlCorporateBookingRule:MdlCorporateBookingRule = new MdlCorporateBookingRule();
}

export class MdlResCorporateBookingRule extends MdlResponse {

	mdlCorporateBookingRule:MdlCorporateBookingRule = new MdlCorporateBookingRule();
}

export class MdlResCorporateBookingRuleList extends MdlResponse {

	lstMdlCorporateBookingRule: MdlCorporateBookingRule[] = [];
}

export class MdlResCorporateBookingRuleInit extends MdlResponse {
	lstMdlCustomerBaseIntId: MdlBaseIntId[] = [];


	lstMdlCorporateBookingRule: MdlCorporateBookingRule[] = [];
}

