???File Path
==========
***...\Src\Corporate\CorporateBookingRule.cs




???Check the points
==================



            // ??? IMPORT:- Add the items top - Duplcation Avoid
            using System;
            using System.Data;
            using System.Collections.Generic;
            using Npgsql;
            using NpgsqlTypes;

            using TAAS.Db;
            using TAAS.Models;
            using TAAS.Models.Corporate;
            using TAAS.Helpers;
        


            // ??? CLASS ATTRIBUTES:- The code past top of the class(Attributes) - Duplcation Avoid
            public GlobalFunctions insGlobalFunctions = new GlobalFunctions();
            DbService insDbService = new();
        


            public List<MdlBaseIntId> FnGetAllCorporateBookingRuleBaseData()
            {
                List<MdlBaseIntId> lstMdlCorporateBookingRuleBaseIntId = new List<MdlBaseIntId>();

                // Get Data from DB
                DataSet objDataSet = this.insDbService.FnExcecuteSqlCommand("SELECT * FROM fn_get_all_corporate_booking_rule()");
                if (objDataSet != null)
                {
                    foreach (DataRow objRecord in objDataSet.Tables[0].Rows)
                    {
                        MdlBaseIntId mdlBaseIntId = new MdlBaseIntId();

                        mdlBaseIntId.binPkId = (DBNull.Value != objRecord["pk_corporate_booking_rule_id"]) ? (long)Convert.ToUInt64(objRecord["pk_corporate_booking_rule_id"]) : mdlBaseIntId.binPkId;
                        mdlBaseIntId.strCode = (DBNull.Value != objRecord["sin_code_sharing_type"]) ? Convert.ToString(objRecord["sin_code_sharing_type"]) : mdlBaseIntId.strCode;
                        mdlBaseIntId.strName = (DBNull.Value != objRecord["vhr_rule_name"]) ? Convert.ToString(objRecord["vhr_rule_name"]) : mdlBaseIntId.strName;
        
                        lstMdlCorporateBookingRuleBaseIntId.Add(mdlBaseIntId);
                    }
                }

                return lstMdlCorporateBookingRuleBaseIntId;
            }
        


            public List<MdlCorporateBookingRule> FnGetAllCorporateBookingRuleWithActionUser()
            {
                List<MdlCorporateBookingRule> lstMdlCorporateBookingRule = new List<MdlCorporateBookingRule>();
                
                // Get Data from DB
                DataSet objDataSet = this.insDbService.FnExcecuteSqlCommand("SELECT * FROM fn_get_all_corporate_booking_rule_with_action_user()");
                if (objDataSet != null)
                {
                    foreach (DataRow objRecord in objDataSet.Tables[0].Rows)
                    {
                        MdlCorporateBookingRule mdlCorporateBookingRule = new MdlCorporateBookingRule();

                        
				mdlCorporateBookingRule.binCorporateBookingRuleId = (DBNull.Value != objRecord["pk_corporate_booking_rule_id"]) ? (long)Convert.ToInt64(objRecord["pk_corporate_booking_rule_id"]) : mdlCorporateBookingRule.binCorporateBookingRuleId;
				mdlCorporateBookingRule.strRuleName = (DBNull.Value != objRecord["vhr_rule_name"]) ? Convert.ToString(objRecord["vhr_rule_name"]) : mdlCorporateBookingRule.strRuleName;

				mdlCorporateBookingRule.binCustomerId = (DBNull.Value != objRecord["fk_customer_id"]) ? (long)Convert.ToInt64(objRecord["fk_customer_id"]) : mdlCorporateBookingRule.binCustomerId;
				mdlCorporateBookingRule.sinAllowedAllCustomers = (DBNull.Value != objRecord["sin_allowed_all_customers"]) ? (short)Convert.ToInt16(objRecord["sin_allowed_all_customers"]) : mdlCorporateBookingRule.sinAllowedAllCustomers;

				mdlCorporateBookingRule.strRemarks = (DBNull.Value != objRecord["txt_remarks"]) ? Convert.ToString(objRecord["txt_remarks"]) : mdlCorporateBookingRule.strRemarks;
				mdlCorporateBookingRule.sinRecordStatus = (DBNull.Value != objRecord["sin_record_status"]) ? (short)Convert.ToInt16(objRecord["sin_record_status"]) : mdlCorporateBookingRule.sinRecordStatus;

				mdlCorporateBookingRule.dblAirSlabFrom = (DBNull.Value != objRecord["dbl_air_slab_from"]) ? (double)Convert.ToDouble(objRecord["dbl_air_slab_from"]) : mdlCorporateBookingRule.dblAirSlabFrom;
				mdlCorporateBookingRule.dblAirSlabTo = (DBNull.Value != objRecord["dbl_air_slab_to"]) ? (double)Convert.ToDouble(objRecord["dbl_air_slab_to"]) : mdlCorporateBookingRule.dblAirSlabTo;
				mdlCorporateBookingRule.sinOnewayTrip = (DBNull.Value != objRecord["sin_oneway_trip"]) ? (short)Convert.ToInt16(objRecord["sin_oneway_trip"]) : mdlCorporateBookingRule.sinOnewayTrip;
				mdlCorporateBookingRule.sinRoundTrip = (DBNull.Value != objRecord["sin_round_trip"]) ? (short)Convert.ToInt16(objRecord["sin_round_trip"]) : mdlCorporateBookingRule.sinRoundTrip;
				mdlCorporateBookingRule.sinMultiTrip = (DBNull.Value != objRecord["sin_multi_trip"]) ? (short)Convert.ToInt16(objRecord["sin_multi_trip"]) : mdlCorporateBookingRule.sinMultiTrip;
				mdlCorporateBookingRule.sinIfExcludeCabinClass = (DBNull.Value != objRecord["sin_if_exclude_cabin_class"]) ? (short)Convert.ToInt16(objRecord["sin_if_exclude_cabin_class"]) : mdlCorporateBookingRule.sinIfExcludeCabinClass;
				mdlCorporateBookingRule.arlFkCabinClass = (DBNull.Value != objRecord["arb_fk_cabin_class"]) ? (long[])objRecord["arb_fk_cabin_class"] : mdlCorporateBookingRule.arlFkCabinClass;
				mdlCorporateBookingRule.artBookingClassChrs = (DBNull.Value != objRecord["art_booking_class_chrs"]) ? (string[])objRecord["art_booking_class_chrs"] : mdlCorporateBookingRule.artBookingClassChrs;
				mdlCorporateBookingRule.sinIfExcludeBookingClassChrs = (DBNull.Value != objRecord["sin_if_exclude_booking_class_chrs"]) ? (short)Convert.ToInt16(objRecord["sin_if_exclude_booking_class_chrs"]) : mdlCorporateBookingRule.sinIfExcludeBookingClassChrs;
				mdlCorporateBookingRule.sinIfExcludeSourceAirport = (DBNull.Value != objRecord["sin_if_exclude_source_airport"]) ? (short)Convert.ToInt16(objRecord["sin_if_exclude_source_airport"]) : mdlCorporateBookingRule.sinIfExcludeSourceAirport;
				mdlCorporateBookingRule.arlFkSourceAirportIds = (DBNull.Value != objRecord["arb_fk_source_airport_ids"]) ? (long[])objRecord["arb_fk_source_airport_ids"] : mdlCorporateBookingRule.arlFkSourceAirportIds;
				mdlCorporateBookingRule.sinIfExcludeDestinationAirport = (DBNull.Value != objRecord["sin_if_exclude_destination_airport"]) ? (short)Convert.ToInt16(objRecord["sin_if_exclude_destination_airport"]) : mdlCorporateBookingRule.sinIfExcludeDestinationAirport;
				mdlCorporateBookingRule.arlFkDestinationAirportIds = (DBNull.Value != objRecord["arb_fk_destination_airport_ids"]) ? (long[])objRecord["arb_fk_destination_airport_ids"] : mdlCorporateBookingRule.arlFkDestinationAirportIds;
				mdlCorporateBookingRule.sinCodeSharingType = (DBNull.Value != objRecord["sin_code_sharing_type"]) ? (short)Convert.ToInt16(objRecord["sin_code_sharing_type"]) : mdlCorporateBookingRule.sinCodeSharingType;
				mdlCorporateBookingRule.arlFkCodeSharingAirlineMasterIds = (DBNull.Value != objRecord["arb_fk_code_sharing_airline_master_ids"]) ? (long[])objRecord["arb_fk_code_sharing_airline_master_ids"] : mdlCorporateBookingRule.arlFkCodeSharingAirlineMasterIds;
				mdlCorporateBookingRule.arlFkCodeSharingAirlineCategoryIds = (DBNull.Value != objRecord["arb_fk_code_sharing_airline_category_ids"]) ? (long[])objRecord["arb_fk_code_sharing_airline_category_ids"] : mdlCorporateBookingRule.arlFkCodeSharingAirlineCategoryIds;
				mdlCorporateBookingRule.arlFkCodeSharingAirlineGroupIds = (DBNull.Value != objRecord["arb_fk_code_sharing_airline_group_ids"]) ? (long[])objRecord["arb_fk_code_sharing_airline_group_ids"] : mdlCorporateBookingRule.arlFkCodeSharingAirlineGroupIds;
				mdlCorporateBookingRule.arlFkCodeSharingAirlineTypeIds = (DBNull.Value != objRecord["arb_fk_code_sharing_airline_type_ids"]) ? (long[])objRecord["arb_fk_code_sharing_airline_type_ids"] : mdlCorporateBookingRule.arlFkCodeSharingAirlineTypeIds;
				mdlCorporateBookingRule.arlFkCodeSharingAirlineFamilyIds = (DBNull.Value != objRecord["arb_fk_code_sharing_airline_family_ids"]) ? (long[])objRecord["arb_fk_code_sharing_airline_family_ids"] : mdlCorporateBookingRule.arlFkCodeSharingAirlineFamilyIds;
				mdlCorporateBookingRule.sinNoOfStops = (DBNull.Value != objRecord["sin_no_of_stops"]) ? (short)Convert.ToInt16(objRecord["sin_no_of_stops"]) : mdlCorporateBookingRule.sinNoOfStops;
				mdlCorporateBookingRule.arlFkTicketTypeIds = (DBNull.Value != objRecord["arb_fk_ticket_type_ids"]) ? (long[])objRecord["arb_fk_ticket_type_ids"] : mdlCorporateBookingRule.arlFkTicketTypeIds;

				mdlCorporateBookingRule.sinIfExcludeAirline = (DBNull.Value != objRecord["sin_if_exclude_airline"]) ? (short)Convert.ToInt16(objRecord["sin_if_exclude_airline"]) : mdlCorporateBookingRule.sinIfExcludeAirline;
				mdlCorporateBookingRule.arlFkAirlineMasterIds = (DBNull.Value != objRecord["arb_fk_airline_master_ids"]) ? (long[])objRecord["arb_fk_airline_master_ids"] : mdlCorporateBookingRule.arlFkAirlineMasterIds;
				mdlCorporateBookingRule.arlFkAirlineCategoryIds = (DBNull.Value != objRecord["arb_fk_airline_category_ids"]) ? (long[])objRecord["arb_fk_airline_category_ids"] : mdlCorporateBookingRule.arlFkAirlineCategoryIds;
				mdlCorporateBookingRule.arlFkAirlineGroupIds = (DBNull.Value != objRecord["arb_fk_airline_group_ids"]) ? (long[])objRecord["arb_fk_airline_group_ids"] : mdlCorporateBookingRule.arlFkAirlineGroupIds;
				mdlCorporateBookingRule.arlFkAirlineTypeIds = (DBNull.Value != objRecord["arb_fk_airline_type_ids"]) ? (long[])objRecord["arb_fk_airline_type_ids"] : mdlCorporateBookingRule.arlFkAirlineTypeIds;
				mdlCorporateBookingRule.arlFkAirlineFamilyIds = (DBNull.Value != objRecord["arb_fk_airline_family_ids"]) ? (long[])objRecord["arb_fk_airline_family_ids"] : mdlCorporateBookingRule.arlFkAirlineFamilyIds;

				mdlCorporateBookingRule.dblHotelSlabFrom = (DBNull.Value != objRecord["dbl_hotel_slab_from"]) ? (double)Convert.ToDouble(objRecord["dbl_hotel_slab_from"]) : mdlCorporateBookingRule.dblHotelSlabFrom;
				mdlCorporateBookingRule.dblHotelSlabTo = (DBNull.Value != objRecord["dbl_hotel_slab_to"]) ? (double)Convert.ToDouble(objRecord["dbl_hotel_slab_to"]) : mdlCorporateBookingRule.dblHotelSlabTo;
				mdlCorporateBookingRule.sinStarRate = (DBNull.Value != objRecord["sin_star_rate"]) ? (short)Convert.ToInt16(objRecord["sin_star_rate"]) : mdlCorporateBookingRule.sinStarRate;
				mdlCorporateBookingRule.sinIfExcludeHotel = (DBNull.Value != objRecord["sin_if_exclude_hotel"]) ? (short)Convert.ToInt16(objRecord["sin_if_exclude_hotel"]) : mdlCorporateBookingRule.sinIfExcludeHotel;
				mdlCorporateBookingRule.arlFkHotelMasterIds = (DBNull.Value != objRecord["arb_fk_hotel_master_ids"]) ? (long[])objRecord["arb_fk_hotel_master_ids"] : mdlCorporateBookingRule.arlFkHotelMasterIds;
				mdlCorporateBookingRule.arlFkHotelCategoryIds = (DBNull.Value != objRecord["arb_fk_hotel_category_ids"]) ? (long[])objRecord["arb_fk_hotel_category_ids"] : mdlCorporateBookingRule.arlFkHotelCategoryIds;
				mdlCorporateBookingRule.arlFkHotelGroupIds = (DBNull.Value != objRecord["arb_fk_hotel_group_ids"]) ? (long[])objRecord["arb_fk_hotel_group_ids"] : mdlCorporateBookingRule.arlFkHotelGroupIds;
				mdlCorporateBookingRule.arlFkHotelTypeIds = (DBNull.Value != objRecord["arb_fk_hotel_type_ids"]) ? (long[])objRecord["arb_fk_hotel_type_ids"] : mdlCorporateBookingRule.arlFkHotelTypeIds;
				mdlCorporateBookingRule.arlFkHotelFamilyIds = (DBNull.Value != objRecord["arb_fk_hotel_family_ids"]) ? (long[])objRecord["arb_fk_hotel_family_ids"] : mdlCorporateBookingRule.arlFkHotelFamilyIds;
				mdlCorporateBookingRule.arlFkRoomTypeIds = (DBNull.Value != objRecord["arb_fk_room_type_ids"]) ? (long[])objRecord["arb_fk_room_type_ids"] : mdlCorporateBookingRule.arlFkRoomTypeIds;
				mdlCorporateBookingRule.arlFkMealsPlanIds = (DBNull.Value != objRecord["arb_fk_meals_plan_ids"]) ? (long[])objRecord["arb_fk_meals_plan_ids"] : mdlCorporateBookingRule.arlFkMealsPlanIds;


				mdlCorporateBookingRule.intSysActionId = (DBNull.Value != objRecord["int_sys_action_id"]) ? (int)Convert.ToInt32(objRecord["int_sys_action_id"]) : mdlCorporateBookingRule.intSysActionId;
				mdlCorporateBookingRule.binCreatedUserId = (DBNull.Value != objRecord["fk_created_user_id"]) ? (long)Convert.ToInt64(objRecord["fk_created_user_id"]) : mdlCorporateBookingRule.binCreatedUserId;
				mdlCorporateBookingRule.strCreatedUser = this.insDbService.FnGetValue(objRecord["vhr_created_user"], mdlCorporateBookingRule.strCreatedUser);
				mdlCorporateBookingRule.dtmCreated = (DBNull.Value != objRecord["dtm_created"]) ? (DateTime)Convert.ToDateTime(objRecord["dtm_created"]) : mdlCorporateBookingRule.dtmCreated;
				mdlCorporateBookingRule.binLastModifiedUserId = (DBNull.Value != objRecord["fk_last_modified_user_id"]) ? (long)Convert.ToInt64(objRecord["fk_last_modified_user_id"]) : mdlCorporateBookingRule.binLastModifiedUserId;
				mdlCorporateBookingRule.strLastModifiedUser = this.insDbService.FnGetValue(objRecord["vhr_last_modified_user"], mdlCorporateBookingRule.strLastModifiedUser);
				mdlCorporateBookingRule.dtmLastModified = (DBNull.Value != objRecord["dtm_last_modified"]) ? (DateTime)Convert.ToDateTime(objRecord["dtm_last_modified"]) : mdlCorporateBookingRule.dtmLastModified;
				mdlCorporateBookingRule.binDeletedUserId = (DBNull.Value != objRecord["fk_deleted_user_id"]) ? (long)Convert.ToInt64(objRecord["fk_deleted_user_id"]) : mdlCorporateBookingRule.binDeletedUserId;
				mdlCorporateBookingRule.strDeletedUser = this.insDbService.FnGetValue(objRecord["vhr_deleted_user"], mdlCorporateBookingRule.strDeletedUser);
				mdlCorporateBookingRule.dtmDeleted = (DBNull.Value != objRecord["dtm_deleted"]) ? (DateTime)Convert.ToDateTime(objRecord["dtm_deleted"]) : mdlCorporateBookingRule.dtmDeleted;

        
                        lstMdlCorporateBookingRule.Add(mdlCorporateBookingRule);
                    }
                }

                return lstMdlCorporateBookingRule;
            }
        


            public MdlResCorporateBookingRule FnInsertOrUpdateCorporateBookingRule(MdlReqCorporateBookingRule mdlReqCorporateBookingRule)
            {
                // *** Input Validation INSERT and UPDATE Case[not duplicate model validation]
                // ??? Duplication Checking in DB FUCTION(Insert and Update) - CODE, NAME [, other unique fields] Already exists
                // ??? Count Exced or other checking License related in DB FUCTION(Insert)
                // ??? UPDATE Check already update another users in DB FUCTION(Update and Delete)

                // Set Create or modified User in DB FUCTION(Insert, Update and Delete)
                if (mdlReqCorporateBookingRule.mdlCorporateBookingRule.binCorporateBookingRuleId == 0)
                {
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.intSysActionId = 0;
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.binCreatedUserId = mdlReqCorporateBookingRule.linLoginUserId;
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.strCreatedUser = mdlReqCorporateBookingRule.strLoginUserName;
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.dtmCreated = mdlReqCorporateBookingRule.dtmCurrentDateTime;
                }
                else {
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.binLastModifiedUserId = mdlReqCorporateBookingRule.linLoginUserId;
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.strLastModifiedUser = mdlReqCorporateBookingRule.strLoginUserName;
                    mdlReqCorporateBookingRule.mdlCorporateBookingRule.dtmLastModified = mdlReqCorporateBookingRule.dtmCurrentDateTime;
                }

                // DB Actions
                NpgsqlParameter[] lstSqlParameter = {
                    new NpgsqlParameter("mdlCorporateBookingRule", NpgsqlDbType.Jsonb) { Value = mdlReqCorporateBookingRule.mdlCorporateBookingRule, DataTypeName = "jsnCorporateBookingRule"},
                    new NpgsqlParameter("jsnSqlRes", NpgsqlDbType.Json) { DataTypeName = "jsnSqlRes", Direction = ParameterDirection.Output }
                };
                MdlDbResponse mdlDbResponse = this.insDbService.FnExcecuteOutSqlCommand("CALL sp_insert_or_update_corporateBookingRule(:mdlCorporateBookingRule, NULL)", lstSqlParameter);
                // DB Error
                if (mdlDbResponse.sinSqlCustomStatus != 1)
                {
                    if (mdlDbResponse.strSqlCustomErrorType == "DATABASE_ERROR")
                    {
                        throw (new TaasDatabaseException(this.insGlobalFunctions.FnGetExceptionResponseString(mdlDbResponse.strSqlCustomMessage, "CORPORATEBOOKINGRULE.CS#004", mdlDbResponse.strSqlSysMessage)));
                    }
                    else if (mdlDbResponse.strSqlCustomErrorType == "DATABASE_VALIDATION_ERROR")
                    {
                        throw (new TaasDatabaseValidationException(this.insGlobalFunctions.FnGetExceptionResponseString(mdlDbResponse.strSqlCustomMessage, "CORPORATEBOOKINGRULE.CS#002", mdlDbResponse.strSqlSysMessage)));
                    }
                    else if (mdlDbResponse.strSqlCustomErrorType == "DATABASE_SYSTEM_ERROR")
                    {
                        throw (new TaasDatabaseException(this.insGlobalFunctions.FnGetExceptionResponseString(mdlDbResponse.strSqlCustomMessage, "CORPORATEBOOKINGRULE.CS#003", mdlDbResponse.strSqlSysMessage)));
                    }
                }

                // Saved
                MdlResCorporateBookingRule mdlResCorporateBookingRule = new MdlResCorporateBookingRule();
                mdlResCorporateBookingRule.mdlCorporateBookingRule = mdlCorporateBookingRuleReq.mdlCorporateBookingRule;
                if (mdlReqCorporateBookingRule.mdlCorporateBookingRule.binCorporateBookingRuleId == 0)
                {
                    mdlResCorporateBookingRule.mdlCorporateBookingRule.binCorporateBookingRuleId = mdlDbResponse.binSqlPk ?? 0;
                    mdlResCorporateBookingRule.mdlCorporateBookingRule.dtmCreated = mdlDbResponse.dtmCurrent;
                }
                else
                {
                    mdlResCorporateBookingRule.mdlCorporateBookingRule.intSysActionId += 1;
                    mdlResCorporateBookingRule.mdlCorporateBookingRule.dtmLastModified = mdlDbResponse.dtmCurrent;
                }
                mdlResCorporateBookingRule.sinStatus = 1;
                mdlResCorporateBookingRule.strStatusCode = "SUCCESS";
                mdlResCorporateBookingRule.strMessage = "CORPORATEBOOKINGRULE has been Saved.";
                
                return mdlResCorporateBookingRule;
            } 
        


            public MdlResBaseIntId FnDeleteCorporateBookingRule(MdlReqBaseIntId mdlReqCorporateBookingRuleBaseIntId)
            {
                // *** Input Validation DELETE Case[not duplicate model validation]
                // ??? FOREIGN KEY REFERENCES Ching in DB FUCTION(Delete)
                // ??? UPDATE Check already update another users in DB FUCTION(Update and Delete)
                // ??? Set Create or modified User in DB FUCTION(Insert, Update and Delete)

                // DB Actions
                NpgsqlParameter[] lstSqlParameter = {
                    new NpgsqlParameter("binCorporateBookingRuleId", NpgsqlDbType.Bigint) { Value = mdlReqCorporateBookingRuleBaseIntId.mdlBaseIntId.binPkId, DataTypeName = "binCorporateBookingRuleId"},
                    new NpgsqlParameter("intSysActionId", NpgsqlDbType.Integer) { Value = mdlReqCorporateBookingRuleBaseIntId.mdlBaseIntId.binCustomValue, DataTypeName = "intSysActionId"},
                    new NpgsqlParameter("binDeletedUserId", NpgsqlDbType.Bigint) { Value = mdlReqCorporateBookingRuleBaseIntId.linLoginUserId, DataTypeName = "binDeletedUserId"},
                    new NpgsqlParameter("jsnSqlRes", NpgsqlDbType.Json) { DataTypeName = "jsnSqlRes", Direction = ParameterDirection.Output }
                };
                MdlDbResponse mdlDbResponse = this.insDbService.FnExcecuteOutSqlCommand("CALL sp_delete_corporateBookingRule(:binCorporateBookingRuleId, :intSysActionId, :binDeletedUserId, NULL)", lstSqlParameter);
                // DB Error
                if (mdlDbResponse.sinSqlCustomStatus != 1)
                {
                    if (mdlDbResponse.strSqlCustomErrorType == "DATABASE_ERROR")
                    {
                        throw (new TaasDatabaseException(this.insGlobalFunctions.FnGetExceptionResponseString(mdlDbResponse.strSqlCustomMessage, "CORPORATEBOOKINGRULE.CS#004", mdlDbResponse.strSqlSysMessage)));
                    }
                    else if (mdlDbResponse.strSqlCustomErrorType == "DATABASE_VALIDATION_ERROR")
                    {
                        throw (new TaasDatabaseValidationException(this.insGlobalFunctions.FnGetExceptionResponseString(mdlDbResponse.strSqlCustomMessage, "CORPORATEBOOKINGRULE.CS#005", mdlDbResponse.strSqlSysMessage)));
                    }
                    else if (mdlDbResponse.strSqlCustomErrorType == "DATABASE_SYSTEM_ERROR")
                    {
                        throw (new TaasDatabaseException(this.insGlobalFunctions.FnGetExceptionResponseString(mdlDbResponse.strSqlCustomMessage, "CORPORATEBOOKINGRULE.CS#006", mdlDbResponse.strSqlSysMessage)));
                    }
                }

                // Deleted
                MdlResBaseIntId mdlResCorporateBookingRuleIntId = new MdlResBaseIntId();

                mdlResCorporateBookingRuleIntId.mdlBaseIntId = mdlReqCorporateBookingRuleBaseIntId.mdlBaseIntId;
                mdlResCorporateBookingRuleIntId.sinStatus = 1;
                mdlResCorporateBookingRuleIntId.strStatusCode = "SUCCESS";
                mdlResCorporateBookingRuleIntId.strMessage = "CORPORATEBOOKINGRULE has been deleted.";

                return mdlResCorporateBookingRuleIntId;
            }
        

